Page MenuHomePhabricator

Content field ("Contains Words") should have more emphasis in Advanced search form
Closed, ResolvedPublic

Description

Related tasks upstream:

I'm pretty sure 99% of the time someone uses the advanced search form, they need the Contains Words field (possibly in combination with In [Any/All] Projects), yet that field is not emphasized in any way, and is hidden in the middle of a huge search form. That contributes to the overall poor user experience of searching in Phabricator, IMO. At least the field should be on top (and preferably visually separated), like in Bugzilla.

The search query field should also come first, as it does in the general advanced search and in about every search form ever seen on the web.

Event Timeline

Tgr created this task.Dec 8 2014, 6:27 PM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: Phabricator (Upstream).
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
Qgil triaged this task as Normal priority.Dec 8 2014, 10:15 PM
Qgil moved this task from Backlog to Ready To Go on the Phabricator (Upstream) board.
Qgil updated the task description. (Show Details)Dec 9 2014, 2:46 PM
Qgil moved this task from Ready To Go to Wikimedia requests on the Phabricator (Upstream) board.
Qgil lowered the priority of this task from Normal to Low.Dec 16 2014, 12:21 PM
Qgil moved this task from Wikimedia requests to Upstreamed on the Phabricator (Upstream) board.
Qgil added a subscriber: Qgil.
Nemo_bis raised the priority of this task from Low to Normal.Dec 25 2014, 12:20 PM
Nemo_bis updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Feb 4 2015, 7:00 PM
Aklapper renamed this task from Content field should have more emphasis in advanced search form to Content field ("Contains Words") should have more emphasis in Advanced search form.May 22 2016, 2:39 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 22 2016, 2:39 PM
Aklapper lowered the priority of this task from Normal to Lowest.May 22 2016, 2:46 PM
Aklapper updated the task description. (Show Details)
Aklapper edited projects, added Phabricator; removed Phabricator (Upstream).

https://secure.phabricator.com/T6717#87035 states that for the upstream instance, the 99% currently mentioned in this task description are 32% for them.

After this task was created, the upper corner search textfield has received a feature to allow decreasing the application search scope via a dropdown in order to only "Search current application" (e.g. Maniphest) which could be used to search for tasks containing certain words only. This still won't cover the combination with specific projects though, obviously.

This task would welcome data about our instance but I have no idea how to gather that.

Adjusting priority to reflect reality.
Also removing Phabricator (Upstream) as this has been wontfix'ed in upstream.

Aklapper closed this task as Resolved.Aug 1 2018, 8:52 AM

Advanced search form does not have "Contains Words" anymore and "Query" is in the first place now. Closing as resolved.